<?php
/* --------------------------------------------------------------
   select_manufacturer.php 2024-06-09
   Aqua-Design GmbH
   http://www.packmaster.de
   Copyright (c) 2024 Aqua-Design GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/
?>
<!DOCTYPE html>
<html lang="de">
<head>
    <meta charset="UTF-8">
    <title>Herstellerauswahl</title>
    
<script type="text/javascript" src="/admin/includes/ckeditor/ckeditor.js"></script>

    <script>
        $(document).ready(function () {
            // CKEditor auf die Felder hersteller_de und importeur_de anwenden
            CKEDITOR.replace('hersteller_de');
            CKEDITOR.replace('importeur_de');
            
            // Herstellerwechsel-Event
            $('#hersteller').change(function () {
                // hersteller_de und importeur_de des ausgewählten Herstellers anzeigen
                var selectedHersteller = $(this).find('option:selected').data('hersteller_de');
                var selectedImporteur = $(this).find('option:selected').data('importeur_de');
				var selectedLanguageId = $(this).find('option:selected').data('language_id');
                
                // CKEditor-Inhalte dynamisch ändern
                CKEDITOR.instances.hersteller_de.setData(selectedHersteller);
                CKEDITOR.instances.importeur_de.setData(selectedImporteur);
				
				// Die language_id in ein verstecktes Feld setzen, um es beim Submit zu senden
                $('#language_id').val(selectedLanguageId);
            });
        });
    </script>
</head>
<body>
<style>
h1 {margin-top:-30px}
</style>
<h1>Wählen Sie einen Hersteller</h1>

<form method="post" action="admin.php?do=PMHerstellerinfoUpdate?action=submit">
    <label for="hersteller">Hersteller/Sprache:</label>
    <select id="hersteller" name="hersteller">
        <option value="">Wählen Sie einen Hersteller</option>
        <?php foreach ($herstellerDaten as $hersteller): ?>
            <option value="<?= $hersteller['manufacturers_id']
			 ?>" 
                    data-hersteller_de="<?= htmlspecialchars($hersteller['hersteller'], ENT_QUOTES) ?>"
                    data-importeur_de="<?= htmlspecialchars($hersteller['importeur'], ENT_QUOTES) ?>"
                    data-language_id="<?= htmlspecialchars($hersteller['languages_id'], ENT_QUOTES) ?>">
                <?= htmlspecialchars($hersteller['manufacturers_name'].'/'.$hersteller['name'], ENT_QUOTES) ?>
            </option>
        <?php endforeach; ?>
    </select>

    <br>
    
    <!-- Verstecktes Feld für die language_id -->
    <input type="hidden" id="language_id" name="language_id" value="">
    
     <br><br>

    <!-- Hersteller Adresse (hersteller_de) mit CKEditor bearbeiten -->
    <label for="hersteller_de">Hersteller Adresse:</label>
        <br><br>
    <textarea id="hersteller_de" name="hersteller_de"></textarea>

    <br><br>

    <!-- Importeur (importeur_de) mit CKEditor bearbeiten -->
    <label for="importeur_de">Importeur Adresse:</label>
        <br><br>
    <textarea id="importeur_de" name="importeur_de"></textarea>

    <br><br>

    <input type="submit" value="Speichern">
</form>

</body>
</html>
